> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bullring.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Fiat / Onchain Recipient

> Add a new fiat or cryptocurrency recipient for withdrawals. The request body varies depending on the currency. All withdrawal requests require approved KYC.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/ramp/{subaccountId}/banking/recipients
openapi: 3.0.0
info:
  title: Bullring Finance API
  description: >-
    The Bullring Finance API allows you to build powerful cross-border payment
    solutions.
  version: 1.0.0
servers:
  - url: https://api.bullring.finance
    description: Production Server
  - url: https://staging-api.bullring.finance
    description: Sandbox Server
security:
  - x-api-key: []
tags:
  - name: Subaccounts
    description: Operations related to user subaccounts.
  - name: Verification
    description: Endpoints for subaccount verification, including KYC and KYB processes.
  - name: Balances
    description: Endpoints for retrieving account balances.
  - name: Deposits
    description: Endpoints for handling deposits into subaccounts.
  - name: Recipients
    description: Manage payment recipients for withdrawals.
  - name: Withdrawals
    description: Endpoints for handling withdrawals from subaccounts.
  - name: Conversions
    description: Endpoints for currency conversions.
  - name: Rates
    description: Endpoints for currency conversion rates.
  - name: Fees
    description: Endpoints for checking transaction fees.
  - name: Offramp
    description: Endpoints for handling offramp operations.
  - name: Onramp
    description: Endpoints for handling onramp operations.
paths:
  /v1/ramp/{subaccountId}/banking/recipients:
    post:
      tags:
        - Recipients
      summary: Add Fiat / Onchain Recipient
      description: >-
        Add a new fiat or cryptocurrency recipient for withdrawals. The request
        body varies depending on the currency. All withdrawal requests require
        approved KYC.
      parameters:
        - name: subaccountId
          in: path
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              oneOf:
                - title: BRL
                  type: object
                  description: Requires approved KYC.
                  properties:
                    currency:
                      type: string
                      enum:
                        - BRL
                    pix_key:
                      type: string
                  required:
                    - currency
                    - pix_key
                - title: NGN
                  type: object
                  description: Requires approved KYC.
                  properties:
                    currency:
                      type: string
                      enum:
                        - NGN
                    account_number:
                      type: string
                    account_owner_name:
                      type: string
                    bank_code:
                      type: string
                    bank_name:
                      type: string
                    country:
                      type: string
                  required:
                    - currency
                    - account_number
                    - account_owner_name
                    - bank_code
                    - bank_name
                    - country
                - title: USD
                  type: object
                  description: Requires approved KYC.
                  properties:
                    currency:
                      type: string
                      enum:
                        - USD
                    account_owner_name:
                      type: string
                    bank_name:
                      type: string
                    account_number:
                      type: string
                    routing_number:
                      type: string
                    country:
                      type: string
                    address:
                      type: object
                      properties:
                        street_line_1:
                          type: string
                        street_line_2:
                          type: string
                        city:
                          type: string
                        state:
                          type: string
                        postal_code:
                          type: string
                        country:
                          type: string
                      required:
                        - street_line_1
                        - city
                        - state
                        - postal_code
                        - country
                  required:
                    - currency
                    - account_owner_name
                    - bank_name
                    - account_number
                    - routing_number
                    - country
                    - address
                - title: EUR
                  type: object
                  description: Requires approved KYC.
                  properties:
                    currency:
                      type: string
                      enum:
                        - EUR
                    account_owner_name:
                      type: string
                    bank_name:
                      type: string
                    account_number:
                      type: string
                    bic:
                      type: string
                    country:
                      type: string
                    account_owner_type:
                      type: string
                    first_name:
                      type: string
                    last_name:
                      type: string
                    business_name:
                      type: string
                    email:
                      type: string
                  required:
                    - currency
                    - account_owner_name
                    - bank_name
                    - account_number
                    - bic
                    - country
                    - account_owner_type
                - title: GHS
                  type: object
                  description: Requires approved KYC.
                  properties:
                    currency:
                      type: string
                      enum:
                        - GHS
                    phone_number:
                      type: string
                    account_owner_name:
                      type: string
                  required:
                    - currency
                    - phone_number
                    - account_owner_name
                - title: ZMW
                  type: object
                  description: Requires approved KYC.
                  properties:
                    currency:
                      type: string
                      enum:
                        - ZMW
                    phone_number:
                      type: string
                    account_owner_name:
                      type: string
                  required:
                    - currency
                    - phone_number
                    - account_owner_name
                - title: MXN
                  type: object
                  description: Requires approved Tier 1 KYC.
                  properties:
                    currency:
                      type: string
                      enum:
                        - MXN
                    alias:
                      type: string
                    mxn_method:
                      type: string
                      enum:
                        - spei
                        - debit_card
                        - phone_number
                    beneficiary:
                      type: string
                    clabe:
                      type: string
                    institution_code:
                      type: string
                  required:
                    - currency
                    - mxn_method
                    - beneficiary
                    - clabe
                    - institution_code
                - title: ARS
                  type: object
                  description: Requires approved Tier 1 KYC.
                  properties:
                    currency:
                      type: string
                      enum:
                        - ARS
                    alias:
                      type: string
                    recipient_name:
                      type: string
                    cvu:
                      type: string
                  required:
                    - currency
                    - recipient_name
                    - cvu
                - title: COP
                  type: object
                  description: Requires approved Tier 1 KYC.
                  properties:
                    currency:
                      type: string
                      enum:
                        - COP
                    alias:
                      type: string
                    cop_method:
                      type: string
                      enum:
                        - pse
                        - ach
                    bank_account:
                      type: string
                    account_type:
                      type: string
                      enum:
                        - '1'
                        - '2'
                      description: 1-Checking, 2-Savings
                    bank_code:
                      type: string
                  required:
                    - currency
                    - cop_method
                    - bank_account
                    - account_type
                    - bank_code
                - title: USDC
                  type: object
                  description: Requires approved Tier 2 KYC.
                  properties:
                    currency:
                      type: string
                      enum:
                        - USDC
                      description: USDC recipient
                    wallet_address:
                      type: string
                      description: Cryptocurrency wallet address for USDC transfers
                    nick_name:
                      type: string
                      description: Nickname for the USDC wallet address
                    chain:
                      type: string
                      enum:
                        - ethereum
                        - solana
                        - tron
                        - trx
                        - eth
                        - erc20
                        - sol
                        - polygon
                        - avax
                        - matic
                        - poly
                      description: The blockchain on which the USDC is held
                  required:
                    - currency
                    - wallet_address
                    - nick_name
                - title: USDT
                  type: object
                  description: Requires approved Tier 2 KYC.
                  properties:
                    currency:
                      type: string
                      enum:
                        - USDC
                      description: USDC recipient
                    wallet_address:
                      type: string
                      description: Cryptocurrency wallet address for USDC transfers
                    nick_name:
                      type: string
                      description: Nickname for the USDC wallet address
                    chain:
                      type: string
                      enum:
                        - ethereum
                        - solana
                        - tron
                        - trx
                        - eth
                        - erc20
                        - sol
                        - polygon
                        - avax
                        - matic
                        - poly
                      description: The blockchain on which the USDC is held
                  required:
                    - currency
                    - wallet_address
                    - nick_name
            examples:
              BRL:
                summary: BRL recipient example
                value:
                  currency: BRL
                  pix_key: '71719844194'
              NGN:
                summary: NGN recipient example
                value:
                  account_number: '0062881117'
                  account_owner_name: Test Account
                  bank_code: '270'
                  bank_name: Access Bank Nigeria Plc
                  country: NG
                  currency: NGN
              USD:
                summary: USD recipient example
                value:
                  currency: USD
                  account_owner_name: John Doe
                  bank_name: Bank of America
                  account_number: '123456789013'
                  routing_number: '111000025'
                  country: USA
                  address:
                    street_line_1: 123 Main St
                    street_line_2: Apt 4B
                    city: New York
                    state: NY
                    postal_code: '10001'
                    country: USA
              EUR:
                summary: EUR recipient example
                value:
                  currency: EUR
                  account_owner_name: John Doe
                  bank_name: Bank of America
                  account_number: GB26PRTC00998500671076
                  bic: BANKGB2L
                  country: GBR
                  account_owner_type: individual
                  first_name: John
                  last_name: Doe
                  business_name: Acme Inc.
                  email: john@example.com
              GHS:
                summary: GHS recipient example
                value:
                  currency: GHS
                  phone_number: '+233241234567'
                  account_owner_name: test two
              ZMW:
                summary: ZMW recipient example
                value:
                  currency: ZMW
                  phone_number: '+260241234567'
                  account_owner_name: test two
      responses:
        '201':
          description: Successful fiat recipient creation
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  account_owner_name:
                    type: string
                  active:
                    type: boolean
                  currency:
                    type: string
                  is_verified:
                    type: boolean
                  account_id:
                    type: string
              examples:
                BRL:
                  summary: BRL example
                  value:
                    id: 0bf68a2a-72e1-4846-82a6-c9023efd9907
                    account_owner_name: Hugo Gonzalez
                    active: true
                    currency: BRL
                    is_verified: false
                    account_id: 667.136.083-96
                GHS:
                  summary: GHS example
                  value:
                    id: d1d89633-0a87-4324-9976-7708f5d70933
                    account_owner_name: test two
                    active: true
                    currency: GHS
                    is_verified: false
                    account_id: '+233241234567'
                ZMW:
                  summary: ZMW example
                  value:
                    id: 223d8913-17cd-4138-8e90-c6b63052cc39
                    account_owner_name: test two
                    active: true
                    currency: ZMW
                    is_verified: false
                    account_id: '+260241234567'
                USDC:
                  summary: USDC example
                  value:
                    id: 334e9024-28de-4247-9f01-d7c74163dd40
                    account_owner_name: test two
                    active: true
                    currency: USDC
                    is_verified: false
                    account_id: '0x1234567890123456789012345678901234567890'
                    payment_rail: ethereum
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
              example:
                statusCode: 400
                timestamp: '2025-11-20T21:53:30.125Z'
                error: Error
                message: Failed to validate PIX key. Please check and try again.
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
              example:
                statusCode: 401
                message: Unauthorized
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
              example:
                statusCode: 403
                timestamp: '2025-11-25T02:42:56.154Z'
                error: Error
                message: >-
                  You cannot add a bank account until your KYC verification is
                  complete for the payment rails
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
              example:
                statusCode: 404
                message: Not Found
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````